Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1888966 - Review Request: golang-github-muesli-termenv - Advanced ANSI style & color support for your terminal applications
Summary: Review Request: golang-github-muesli-termenv - Advanced ANSI style & color su...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1888967
TreeView+ depends on / blocked
 
Reported: 2020-10-16 16:05 UTC by Joe Doss
Modified: 2020-11-06 14:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-06 14:20:29 UTC
Type: Bug
o.lemasle: fedora-review+


Attachments (Terms of Use)

Comment 1 Olivier Lemasle 2020-10-27 18:46:30 UTC
Thanks, package approved.

However, please update to latest version 0.7.4.

- MIT license ok
- Spec + changelog format ok
- Naming guidelines + packaging guidelines ok
- Builds in mock ok
- Documentation ok



Rpmlint
-------
Checking: golang-github-muesli-termenv-devel-0.7.2-1.fc34.noarch.rpm
          golang-github-muesli-termenv-0.7.2-1.fc34.src.rpm
golang-github-muesli-termenv-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/muesli/termenv/.goipath
golang-github-muesli-termenv.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
golang-github-muesli-termenv-devel.noarch: W: invalid-url URL: https://github.com/muesli/termenv <urlopen error [Errno -3] Temporary failure in name resolution>
golang-github-muesli-termenv-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/muesli/termenv/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Gwyn Ciesla 2020-10-27 20:00:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-muesli-termenv


Note You need to log in before you can comment on or make changes to this bug.